Skip to content

Channel API


Find all channels

GET
/v1/api/channel

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id
  • name
  • code
  • isActive
  • createdAt
Type
array
search

Search term to filter result values


Example: John



Default Value: No default value

Type
string
searchBy

List of fields to search by term to filter result values


Example: name,code



Default Value: By default all fields mentioned below will be used to search by term


Available Fields

  • name
  • code
Type
array

Responses

application/json
JSON
{
  
"data": [
  
  
{
  
  
}
  
],
  
"meta": {
  
  
"itemsPerPage": 0,
  
  
"totalItems": 0,
  
  
"currentPage": 0,
  
  
"totalPages": 0,
  
  
"sortBy": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"searchBy": [
  
  
  
"string"
  
  
],
  
  
"search": "string",
  
  
"select": [
  
  
  
"string"
  
  
],
  
  
"filter": {
  
  
}
  
},
  
"links": {
  
  
"first": "string",
  
  
"previous": "string",
  
  
"current": "string",
  
  
"next": "string",
  
  
"last": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Create new channel

POST
/v1/api/channel

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Request Body

application/json
JSON
"string"

Responses

Channel created successfully

Playground

Server
Authorization
Body

Samples


Get all active channels

GET
/v1/api/channel/active

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Responses

Returns active channels

application/json
JSON
[
]

Playground

Server
Authorization

Samples


Get channel by code

GET
/v1/api/channel/{code}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Responses

Returns channel

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value

Samples


Delete channel

DELETE
/v1/api/channel/{code}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Responses

Playground

Server
Authorization
Variables
Key
Value

Samples


Update channel

PATCH
/v1/api/channel/{code}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Request Body

application/json
JSON
"string"

Responses

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Get customer groups assigned to channel

GET
/v1/api/channel/{code}/customer-groups

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Responses

Playground

Server
Authorization
Variables
Key
Value

Samples


Get trade conditions assigned to channel

GET
/v1/api/channel/{code}/trade-conditions

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Responses

Playground

Server
Authorization
Variables
Key
Value

Samples


Get promotions assigned to channel

GET
/v1/api/channel/{code}/promotions

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Responses

Playground

Server
Authorization
Variables
Key
Value

Samples


Get pricelist assigned to channel

GET
/v1/api/channel/{code}/pricelist

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Responses

Playground

Server
Authorization
Variables
Key
Value

Samples


Assign pricelist to channel

POST
/v1/api/channel/{code}/pricelist

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Request Body

application/json
JSON
"string"

Responses

Pricelist assigned to channel

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Get customers assigned to channel (direct and via group)

GET
/v1/api/channel/{code}/customers

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Responses

Playground

Server
Authorization
Variables
Key
Value

Samples


Set primary pricelist for channel (auto-assigns if not yet assigned)

PUT
/v1/api/channel/{code}/pricelist/primary

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Request Body

application/json
JSON
"string"

Responses

Returns updated channel with primaryPricelist

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Remove primary pricelist flag from channel

DELETE
/v1/api/channel/{code}/pricelist/primary

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Responses

Playground

Server
Authorization
Variables
Key
Value

Samples


Unassign pricelist from channel

DELETE
/v1/api/channel/{code}/pricelist/{pricelistId}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required
pricelistId*
Type
string
Required

Responses

Playground

Server
Authorization
Variables
Key
Value

Samples


Bulk assign customers to channel by code

POST
/v1/api/channel/{code}/customer

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Request Body

application/json
JSON
"string"

Responses

Returns assigned and skipped codes

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Bulk unassign customers from channel by code

POST
/v1/api/channel/{code}/customer/unassign

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Request Body

application/json
JSON
"string"

Responses

Returns unassigned and notFound codes

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Bulk assign customer groups to channel by code

POST
/v1/api/channel/{code}/customer-group

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Request Body

application/json
JSON
"string"

Responses

Returns assigned and skipped group codes

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Bulk unassign customer groups from channel by code

POST
/v1/api/channel/{code}/customer-group/unassign

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Request Body

application/json
JSON
"string"

Responses

Returns unassigned and notFound group codes

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Assign trade condition to channel

POST
/v1/api/channel/{code}/trade-condition

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Request Body

application/json
JSON
"string"

Responses

Trade condition assigned to channel

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Unassign trade condition from channel

DELETE
/v1/api/channel/{code}/trade-condition/{tradeConditionId}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required
tradeConditionId*
Type
string
Required

Responses

Playground

Server
Authorization
Variables
Key
Value

Samples


Find all customers

GET
/v1/api/customer

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id

Type
array
search

Search term to filter result values


Example: John



Default Value: No default value

Type
string
searchBy

List of fields to search by term to filter result values


Example: code



Default Value: By default all fields mentioned below will be used to search by term


Available Fields

  • code

Type
array

Responses

application/json
JSON
{
  
"data": [
  
  
{
  
  
}
  
],
  
"meta": "string",
  
"links": {
  
  
"first": "string",
  
  
"previous": "string",
  
  
"current": "string",
  
  
"next": "string",
  
  
"last": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Create new customer

POST
/v1/api/customer

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Request Body

application/json
JSON
"string"

Responses

Customer created successfully

Playground

Server
Authorization
Body

Samples


Get customer by code

GET
/v1/api/customer/{code}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Responses

Returns primary pricelist

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value

Samples


Delete customer

DELETE
/v1/api/customer/{code}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Responses

Playground

Server
Authorization
Variables
Key
Value

Samples


Update customer

PATCH
/v1/api/customer/{code}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Request Body

application/json
JSON
"string"

Responses

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Get customer trade conditions

GET
/v1/api/customer/{code}/trade-conditions

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
filter.scope

Filter by scope query param.


Format: filter.scope={$not}:OPERATION:VALUE



Example: filter.scope=$not:$like:John Doe&filter.scope=like:John


Available Operations

  • $eq
  • $not
Type
array
filter.status

Filter by status query param.


Format: filter.status={$not}:OPERATION:VALUE



Example: filter.status=$not:$like:John Doe&filter.status=like:John


Available Operations

  • $eq

Type
array
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id

Type
array
search

Search term to filter result values


Example: John



Default Value: No default value

Type
string
searchBy

List of fields to search by term to filter result values


Example: tradeCondition.type



Default Value: By default all fields mentioned below will be used to search by term


Available Fields

  • tradeCondition.type

Type
array

Responses

application/json
JSON
{
  
"data": [
  
  
{
  
  
}
  
],
  
"meta": {
  
  
"itemsPerPage": 0,
  
  
"totalItems": 0,
  
  
"currentPage": 0,
  
  
"totalPages": 0,
  
  
"sortBy": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"searchBy": [
  
  
  
"string"
  
  
],
  
  
"search": "string",
  
  
"select": [
  
  
  
"string"
  
  
],
  
  
"filter": {
  
  
}
  
},
  
"links": {
  
  
"first": "string",
  
  
"previous": "string",
  
  
"current": "string",
  
  
"next": "string",
  
  
"last": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Get customer individual pricelist

GET
/v1/api/customer/{code}/pricelist/individual

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id
  • priceList.name
Type
array

Responses

application/json
JSON
{
  
"data": [
  
  
{
  
  
}
  
],
  
"meta": "string",
  
"links": {
  
  
"first": "string",
  
  
"previous": "string",
  
  
"current": "string",
  
  
"next": "string",
  
  
"last": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Get customer assigned pricelist

GET
/v1/api/customer/{code}/pricelist

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
filter.priceList.status

Filter by priceList.status query param.


Format: filter.priceList.status={$not}:OPERATION:VALUE



Example: filter.priceList.status=$not:$like:John Doe&filter.priceList.status=like:John


Available Operations

  • $eq

Type
array
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id
  • priority
  • priceList.priority
Type
array

Responses

application/json
JSON
{
  
"data": [
  
  
{
  
  
}
  
],
  
"meta": {
  
  
"itemsPerPage": 0,
  
  
"totalItems": 0,
  
  
"currentPage": 0,
  
  
"totalPages": 0,
  
  
"sortBy": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"searchBy": [
  
  
  
"string"
  
  
],
  
  
"search": "string",
  
  
"select": [
  
  
  
"string"
  
  
],
  
  
"filter": {
  
  
}
  
},
  
"links": {
  
  
"first": "string",
  
  
"previous": "string",
  
  
"current": "string",
  
  
"next": "string",
  
  
"last": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Assign pricelist to customer

POST
/v1/api/customer/{code}/pricelist

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*

Customer code

Type
string
Required

Request Body

application/json
JSON
"string"

Responses

Pricelist assigned successfully

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Get customer price and their base prices

GET
/v1/api/customer/{code}/prices

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
filter.price

Filter by price query param.


Format: filter.price={$not}:OPERATION:VALUE



Example: filter.price=$not:$like:John Doe&filter.price=like:John


Available Operations

  • $eq
  • $gt
  • $gte
  • $lt
  • $lte
Type
array
filter.finalPrice

Filter by finalPrice query param.


Format: filter.finalPrice={$not}:OPERATION:VALUE



Example: filter.finalPrice=$not:$like:John Doe&filter.finalPrice=like:John


Available Operations

  • $eq
  • $gt
  • $gte
  • $lt
  • $lte
Type
array
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: No default sorting specified, the result order is not guaranteed


Available Fields

  • id
  • pricelist
  • product.code
Type
array
search

Search term to filter result values


Example: John



Default Value: No default value

Type
string
searchBy

List of fields to search by term to filter result values


Example: product.code



Default Value: By default all fields mentioned below will be used to search by term


Available Fields

  • product.code

Type
array
select

List of fields to select.


Example: *,product.code,product.name



Default Value: By default all fields returns. If you want to select only some fields, provide them in query param

Type
string

Responses

application/json
JSON
{
  
"data": [
  
  
{
  
  
}
  
],
  
"meta": {
  
  
"itemsPerPage": 0,
  
  
"totalItems": 0,
  
  
"currentPage": 0,
  
  
"totalPages": 0,
  
  
"sortBy": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"searchBy": [
  
  
  
"string"
  
  
],
  
  
"search": "string",
  
  
"select": [
  
  
  
"string"
  
  
],
  
  
"filter": {
  
  
}
  
},
  
"links": {
  
  
"first": "string",
  
  
"previous": "string",
  
  
"current": "string",
  
  
"next": "string",
  
  
"last": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Get products and their catalog prices (included promotions)

GET
/v1/api/customer/{code}/catalog

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Header Parameters

x-channel*

Channel code. Required — returns 400 if absent.

Type
string
Required

Path Parameters

code*
Type
string
Required

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: No default sorting specified, the result order is not guaranteed


Available Fields

  • id
  • code
  • name
Type
array
search

Search term to filter result values


Example: John



Default Value: No default value

Type
string
searchBy

List of fields to search by term to filter result values


Example: code



Default Value: By default all fields mentioned below will be used to search by term


Available Fields

  • code

Type
array

Responses

application/json
JSON
{
  
"data": [
  
  
{
  
  
}
  
],
  
"meta": "string",
  
"links": {
  
  
"first": "string",
  
  
"previous": "string",
  
  
"current": "string",
  
  
"next": "string",
  
  
"last": "string"
  
}
}

Playground

Server
Authorization
Headers
Variables
Key
Value

Samples


Get promotions by code

GET
/v1/api/customer/{code}/promotions

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Header Parameters

x-channel

Channel code for filtering. If absent, returns all (global mode).

Type
string

Path Parameters

code*
Type
string
Required

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: No default sorting specified, the result order is not guaranteed


Available Fields

  • id

Type
array
select

List of fields to select.


Example: id,status,sort,name,code



Default Value: By default all fields returns. If you want to select only some fields, provide them in query param

Type
string

Responses

application/json
JSON
{
  
"data": [
  
  
{
  
  
}
  
],
  
"meta": {
  
  
"itemsPerPage": 0,
  
  
"totalItems": 0,
  
  
"currentPage": 0,
  
  
"totalPages": 0,
  
  
"sortBy": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"searchBy": [
  
  
  
"string"
  
  
],
  
  
"search": "string",
  
  
"select": [
  
  
  
"string"
  
  
],
  
  
"filter": {
  
  
}
  
},
  
"links": {
  
  
"first": "string",
  
  
"previous": "string",
  
  
"current": "string",
  
  
"next": "string",
  
  
"last": "string"
  
}
}

Playground

Server
Authorization
Headers
Variables
Key
Value

Samples


Get available channels for customer

GET
/v1/api/customer/{code}/channels

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Responses

Returns channels available to the customer

application/json
JSON
[
]

Playground

Server
Authorization
Variables
Key
Value

Samples


Unassign pricelist from customer

POST
/v1/api/customer/{code}/pricelist/unassign

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*

Customer code

Type
string
Required

Request Body

application/json
JSON
"string"

Responses

Pricelist unassigned successfully

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Assign trade condition to customer

POST
/v1/api/customer/{code}/trade-condition

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*

Customer code

Type
string
Required

Request Body

application/json
JSON
"string"

Responses

Trade condition assigned successfully

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Unassign trade condition from customer

POST
/v1/api/customer/{code}/trade-condition/unassign

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*

Customer code

Type
string
Required

Request Body

application/json
JSON
"string"

Responses

Trade condition unassigned successfully

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Find all customer groups

GET
/v1/api/customer-group

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id

Type
array
search

Search term to filter result values


Example: John



Default Value: No default value

Type
string
searchBy

List of fields to search by term to filter result values


Example: code



Default Value: By default all fields mentioned below will be used to search by term


Available Fields

  • code

Type
array

Responses

application/json
JSON
{
  
"data": [
  
  
{
  
  
}
  
],
  
"meta": "string",
  
"links": {
  
  
"first": "string",
  
  
"previous": "string",
  
  
"current": "string",
  
  
"next": "string",
  
  
"last": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Create new customer group

POST
/v1/api/customer-group

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Request Body

application/json
JSON
"string"

Responses

Customer group created successfully

application/json
JSON
"string"

Playground

Server
Authorization
Body

Samples


Get customer group by code

GET
/v1/api/customer-group/{code}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Responses

Returns primary pricelist

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value

Samples


Delete customer group

DELETE
/v1/api/customer-group/{code}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Responses

Customer group deleted successfully

Playground

Server
Authorization
Variables
Key
Value

Samples


Update customer group

PATCH
/v1/api/customer-group/{code}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Request Body

application/json
JSON
"string"

Responses

Customer group updated successfully

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Get customer group trade conditions

GET
/v1/api/customer-group/{code}/trade-conditions

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
filter.scope

Filter by scope query param.


Format: filter.scope={$not}:OPERATION:VALUE



Example: filter.scope=$not:$like:John Doe&filter.scope=like:John


Available Operations

  • $eq
  • $not
Type
array
filter.status

Filter by status query param.


Format: filter.status={$not}:OPERATION:VALUE



Example: filter.status=$not:$like:John Doe&filter.status=like:John


Available Operations

  • $eq

Type
array
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id

Type
array
search

Search term to filter result values


Example: John



Default Value: No default value

Type
string
searchBy

List of fields to search by term to filter result values


Example: tradeCondition.type



Default Value: By default all fields mentioned below will be used to search by term


Available Fields

  • tradeCondition.type

Type
array

Responses

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value

Samples


Get customer group pricelist

GET
/v1/api/customer-group/{code}/pricelist

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
filter.priceList.status

Filter by priceList.status query param.


Format: filter.priceList.status={$not}:OPERATION:VALUE



Example: filter.priceList.status=$not:$like:John Doe&filter.priceList.status=like:John


Available Operations

  • $eq

Type
array
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id
  • priority
  • priceList.priority
Type
array

Responses

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value

Samples


Assign pricelist to customer group

POST
/v1/api/customer-group/{code}/pricelist

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*

Customer group code

Type
string
Required

Request Body

application/json
JSON
"string"

Responses

Pricelist assigned to group successfully

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Unassign pricelist from customer group

POST
/v1/api/customer-group/{code}/pricelist/unassign

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*

Customer group code

Type
string
Required

Request Body

application/json
JSON
"string"

Responses

Pricelist unassigned from group successfully

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Assign trade condition to customer group

POST
/v1/api/customer-group/{code}/trade-condition

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*

Customer group code

Type
string
Required

Request Body

application/json
JSON
"string"

Responses

Trade condition assigned to group successfully

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Unassign trade condition from customer group

POST
/v1/api/customer-group/{code}/trade-condition/unassign

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*

Customer group code

Type
string
Required

Request Body

application/json
JSON
"string"

Responses

Trade condition unassigned from group successfully

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Get promotion list

GET
/v1/api/promotion

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Header Parameters

x-channel

Channel code for filtering. If absent, returns all (global mode).

Type
string

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
filter.products.code

Filter by products.code query param.


Format: filter.products.code={$not}:OPERATION:VALUE



Example: filter.products.code=$not:$like:John Doe&filter.products.code=like:John


Available Operations

  • $in

Type
array
filter.customers.code

Filter by customers.code query param.


Format: filter.customers.code={$not}:OPERATION:VALUE



Example: filter.customers.code=$not:$like:John Doe&filter.customers.code=like:John


Available Operations

  • $in

Type
array
filter.status

Filter by status query param.


Format: filter.status={$not}:OPERATION:VALUE



Example: filter.status=$not:$like:John Doe&filter.status=like:John


Available Operations

  • $eq

Type
array
filter.date_end

Filter by date_end query param.


Format: filter.date_end={$not}:OPERATION:VALUE



Example: filter.date_end=$not:$like:John Doe&filter.date_end=like:John


Available Operations

  • $gte
  • $lte
Type
array
filter.date_start

Filter by date_start query param.


Format: filter.date_start={$not}:OPERATION:VALUE



Example: filter.date_start=$not:$like:John Doe&filter.date_start=like:John


Available Operations

  • $gte
  • $lte
Type
array
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id
  • name
Type
array
select

List of fields to select.


Example: id,status,date_created,date_updated,code



Default Value: By default all fields returns. If you want to select only some fields, provide them in query param

Type
string

Responses

application/json
JSON
{
  
"data": [
  
  
{
  
  
}
  
],
  
"meta": {
  
  
"itemsPerPage": 0,
  
  
"totalItems": 0,
  
  
"currentPage": 0,
  
  
"totalPages": 0,
  
  
"sortBy": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"searchBy": [
  
  
  
"string"
  
  
],
  
  
"search": "string",
  
  
"select": [
  
  
  
"string"
  
  
],
  
  
"filter": {
  
  
}
  
},
  
"links": {
  
  
"first": "string",
  
  
"previous": "string",
  
  
"current": "string",
  
  
"next": "string",
  
  
"last": "string"
  
}
}

Playground

Server
Authorization
Headers
Variables
Key
Value

Samples


Get active promotion list for SKUS/Customer

GET
/v1/api/promotion/active

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Header Parameters

x-channel

Channel code for filtering. If absent, returns all (global mode).

Type
string

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
filter.products.code

Filter by products.code query param.


Format: filter.products.code={$not}:OPERATION:VALUE



Example: filter.products.code=$not:$like:John Doe&filter.products.code=like:John


Available Operations

  • $in

Type
array
filter.customers.code

Filter by customers.code query param.


Format: filter.customers.code={$not}:OPERATION:VALUE



Example: filter.customers.code=$not:$like:John Doe&filter.customers.code=like:John


Available Operations

  • $in

Type
array
filter.status

Filter by status query param.


Format: filter.status={$not}:OPERATION:VALUE



Example: filter.status=$not:$like:John Doe&filter.status=like:John


Available Operations

  • $eq

Type
array
filter.date_end

Filter by date_end query param.


Format: filter.date_end={$not}:OPERATION:VALUE



Example: filter.date_end=$not:$like:John Doe&filter.date_end=like:John


Available Operations

  • $gte
  • $lte
Type
array
filter.date_start

Filter by date_start query param.


Format: filter.date_start={$not}:OPERATION:VALUE



Example: filter.date_start=$not:$like:John Doe&filter.date_start=like:John


Available Operations

  • $gte
  • $lte
Type
array
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id
  • name
Type
array
select

List of fields to select.


Example: id,status,date_created,date_updated,code



Default Value: By default all fields returns. If you want to select only some fields, provide them in query param

Type
string
customer

Customer information as a JSON string

Type
string
Example"klient-x"
products

List of products as a JSON string

Type
string
Example"08G, 08GK"
context

Promotion Context

Type
string
Valid values
"catalog""cart""all"

Responses

application/json
JSON
"string"

Playground

Server
Authorization
Headers
Variables
Key
Value

Samples


Get promotion by ID

GET
/v1/api/promotion/{id}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Promotion ID

Type
number
Required

Responses

Single promotion

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value

Samples


Get catalog prices

GET
/v1/api/catalog

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Header Parameters

x-channel

Channel code for multi-channel pricing. If not provided, uses default channel.

Type
string

Query Parameters

products*

Comma-separated list of products as a JSON string

Type
string
Required
Example"08G,08GK"
customer

Customer information as a JSON string

Type
string
Example"klient-x"
debug*
Type
boolean
Required

Responses

application/json
JSON
[
]

Playground

Server
Authorization
Headers
Variables
Key
Value

Samples


Get catalog prices

POST
/v1/api/catalog

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Header Parameters

x-channel

Channel code for multi-channel pricing. If not provided, uses default channel.

Type
string

Query Parameters

debug*
Type
boolean
Required

Request Body

application/json
JSON
"string"

Responses

application/json
JSON
[
]

Playground

Server
Authorization
Headers
Variables
Key
Value
Body

Samples


Get cart prices

POST
/v1/api/cart

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Header Parameters

x-channel

Channel code for multi-channel pricing. If not provided, uses default channel.

Type
string

Query Parameters

debug*
Type
boolean
Required

Request Body

application/json
JSON
"string"

Responses

application/json
JSON
"string"

Playground

Server
Authorization
Headers
Variables
Key
Value
Body

Samples


Get products list

GET
/v1/api/products

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Query Parameters

page

Current page

Type
string
Example"1"
perPage

Products per page

Type
string
Example"10"
customer

Customer reqeusting the list

Type
string
Example"klient-x"
products

List of products as a JSON string

Type
string
Example"08G, 08GK"
search

Search phrase (searches in product names)

Type
string
Example"08"

Responses

Playground

Server
Authorization
Variables
Key
Value

Samples


List all products (paginated, searchable by code)

GET
/v1/api/product

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id

Type
array
search

Search term to filter result values


Example: John



Default Value: No default value

Type
string
searchBy

List of fields to search by term to filter result values


Example: code



Default Value: By default all fields mentioned below will be used to search by term


Available Fields

  • code

Type
array
select

List of fields to select.


Example: id,code,name



Default Value: By default all fields returns. If you want to select only some fields, provide them in query param

Type
string

Responses

application/json
JSON
{
  
"data": [
  
  
{
  
  
}
  
],
  
"meta": {
  
  
"itemsPerPage": 0,
  
  
"totalItems": 0,
  
  
"currentPage": 0,
  
  
"totalPages": 0,
  
  
"sortBy": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"searchBy": [
  
  
  
"string"
  
  
],
  
  
"search": "string",
  
  
"select": [
  
  
  
"string"
  
  
],
  
  
"filter": {
  
  
}
  
},
  
"links": {
  
  
"first": "string",
  
  
"previous": "string",
  
  
"current": "string",
  
  
"next": "string",
  
  
"last": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Create a new product

POST
/v1/api/product

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Request Body

application/json
JSON
"string"

Responses

application/json
JSON
"string"

Playground

Server
Authorization
Body

Samples


Get a product by code (includes attributes and categories)

GET
/v1/api/product/{code}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Responses

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value

Samples


Delete a product and all related pricing data

DELETE
/v1/api/product/{code}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Responses

Product deleted

Playground

Server
Authorization
Variables
Key
Value

Samples


Partially update a product (code is immutable)

PATCH
/v1/api/product/{code}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Request Body

application/json
JSON
"string"

Responses

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Find all pricelists

GET
/v1/api/pricelist

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
filter.scope

Filter by scope query param.


Format: filter.scope={$not}:OPERATION:VALUE



Example: filter.scope=$not:$like:John Doe&filter.scope=like:John


Available Operations

  • $eq
  • $not
Type
array
filter.status

Filter by status query param.


Format: filter.status={$not}:OPERATION:VALUE



Example: filter.status=$not:$like:John Doe&filter.status=like:John


Available Operations

  • $eq

Type
array
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id
  • name
Type
array

Responses

application/json
JSON
{
  
"data": [
  
  
{
  
  
}
  
],
  
"meta": "string",
  
"links": {
  
  
"first": "string",
  
  
"previous": "string",
  
  
"current": "string",
  
  
"next": "string",
  
  
"last": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Create a new standard pricelist

POST
/v1/api/pricelist

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Request Body

application/json
JSON
"string"

Responses

Pricelist created

application/json
JSON
"string"

Playground

Server
Authorization
Body

Samples


Find all regular pricelist

GET
/v1/api/pricelist/regular

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id
  • name
Type
array

Responses

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value

Samples


Find all pricelist with customer scope

GET
/v1/api/pricelist/customer

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id
  • name
Type
array

Responses

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value

Samples


Create an individual pricelist for a customer

POST
/v1/api/pricelist/individual

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Request Body

application/json
JSON
"string"

Responses

Individual pricelist created

application/json
JSON
"string"

Playground

Server
Authorization
Body

Samples


Get a pricelist by ID

GET
/v1/api/pricelist/{id}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Pricelist ID

Type
number
Required

Responses

Single pricelist

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value

Samples


Delete a DRAFT pricelist

DELETE
/v1/api/pricelist/{id}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Pricelist ID

Type
number
Required

Responses

Pricelist deleted

Playground

Server
Authorization
Variables
Key
Value

Samples


Partially update a pricelist

PATCH
/v1/api/pricelist/{id}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Pricelist ID

Type
number
Required

Request Body

application/json
JSON
"string"

Responses

Updated pricelist

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Get pricelist prices

GET
/v1/api/pricelist/{id}/prices

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Pricelist ID

Type
number
Required

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: No default sorting specified, the result order is not guaranteed


Available Fields

  • id

Type
array
select

List of fields to select.


Example: *,priceList.id,product.id,product.code



Default Value: By default all fields returns. If you want to select only some fields, provide them in query param

Type
string

Responses

application/json
JSON
{
  
"data": [
  
  
{
  
  
}
  
],
  
"meta": {
  
  
"itemsPerPage": 0,
  
  
"totalItems": 0,
  
  
"currentPage": 0,
  
  
"totalPages": 0,
  
  
"sortBy": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"searchBy": [
  
  
  
"string"
  
  
],
  
  
"search": "string",
  
  
"select": [
  
  
  
"string"
  
  
],
  
  
"filter": {
  
  
}
  
},
  
"links": {
  
  
"first": "string",
  
  
"previous": "string",
  
  
"current": "string",
  
  
"next": "string",
  
  
"last": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Strict upsert: all productCodes must exist or request fails with 400

PUT
/v1/api/pricelist/{id}/prices

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*
Type
number
Required

Request Body

application/json
JSON
"string"

Responses

All entries upserted, pricelist returned

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Tolerant upsert: unknown productCodes are skipped, rest are saved

PATCH
/v1/api/pricelist/{id}/prices

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*
Type
number
Required

Request Body

application/json
JSON
"string"

Responses

{ synced: N, skipped: [...] }

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Delete an individual (DRAFT) pricelist

DELETE
/v1/api/pricelist/individual/{id}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Pricelist ID

Type
number
Required

Responses

Individual pricelist deleted

Playground

Server
Authorization
Variables
Key
Value

Samples


Get customers assigned to pricelist

GET
/v1/api/pricelist/{id}/customers

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Pricelist ID

Type
number
Required

Responses

Customer list

Playground

Server
Authorization
Variables
Key
Value

Samples


Assign customers to a pricelist

POST
/v1/api/pricelist/{id}/customers

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Pricelist ID

Type
number
Required

Request Body

application/json
JSON
"string"

Responses

{ assigned: string[], skipped: string[] }

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Get customer groups assigned to pricelist

GET
/v1/api/pricelist/{id}/customer-groups

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Pricelist ID

Type
number
Required

Responses

Customer group list

Playground

Server
Authorization
Variables
Key
Value

Samples


Assign customer groups to a pricelist

POST
/v1/api/pricelist/{id}/customer-groups

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Pricelist ID

Type
number
Required

Request Body

application/json
JSON
"string"

Responses

{ assigned: string[], skipped: string[] }

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Unassign customers from a pricelist

POST
/v1/api/pricelist/{id}/customers/unassign

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Pricelist ID

Type
number
Required

Request Body

application/json
JSON
"string"

Responses

{ unassigned: string[], notFound: string[] }

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Unassign customer groups from a pricelist

POST
/v1/api/pricelist/{id}/customer-groups/unassign

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Pricelist ID

Type
number
Required

Request Body

application/json
JSON
"string"

Responses

{ unassigned: string[], notFound: string[] }

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Find all supplier pricelists

GET
/v1/api/supplier-pricelist

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
filter.scope

Filter by scope query param.


Format: filter.scope={$not}:OPERATION:VALUE



Example: filter.scope=$not:$like:John Doe&filter.scope=like:John


Available Operations

  • $eq
  • $not
Type
array
filter.status

Filter by status query param.


Format: filter.status={$not}:OPERATION:VALUE



Example: filter.status=$not:$like:John Doe&filter.status=like:John


Available Operations

  • $eq

Type
array
filter.currencyCode

Filter by currencyCode query param.


Format: filter.currencyCode={$not}:OPERATION:VALUE



Example: filter.currencyCode=$not:$like:John Doe&filter.currencyCode=like:John


Available Operations

  • $eq

Type
array
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id
  • name
Type
array

Responses

application/json
JSON
{
  
"data": [
  
  
{
  
  
}
  
],
  
"meta": {
  
  
"itemsPerPage": 0,
  
  
"totalItems": 0,
  
  
"currentPage": 0,
  
  
"totalPages": 0,
  
  
"sortBy": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"searchBy": [
  
  
  
"string"
  
  
],
  
  
"search": "string",
  
  
"select": [
  
  
  
"string"
  
  
],
  
  
"filter": {
  
  
}
  
},
  
"links": {
  
  
"first": "string",
  
  
"previous": "string",
  
  
"current": "string",
  
  
"next": "string",
  
  
"last": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Find single supplier pricelist

GET
/v1/api/supplier-pricelist/{id}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Supplier Pricelist ID

Type
number
Required

Responses

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value

Samples


Get supplier pricelist products

GET
/v1/api/supplier-pricelist/{id}/products

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Pricelist ID

Type
number
Required

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id
  • name
Type
array

Responses

application/json
JSON
{
  
"data": [
  
  
{
  
  
}
  
],
  
"meta": "string",
  
"links": {
  
  
"first": "string",
  
  
"previous": "string",
  
  
"current": "string",
  
  
"next": "string",
  
  
"last": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Find all trade conditions

GET
/v1/api/trade-conditions

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Header Parameters

x-channel

Channel code for filtering. If absent, returns all (global mode).

Type
string

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
filter.scope

Filter by scope query param.


Format: filter.scope={$not}:OPERATION:VALUE



Example: filter.scope=$not:$like:John Doe&filter.scope=like:John


Available Operations

  • $eq

Type
array
filter.status

Filter by status query param.


Format: filter.status={$not}:OPERATION:VALUE



Example: filter.status=$not:$like:John Doe&filter.status=like:John


Available Operations

  • $eq

Type
array
filter.validFrom

Filter by validFrom query param.


Format: filter.validFrom={$not}:OPERATION:VALUE



Example: filter.validFrom=$not:$like:John Doe&filter.validFrom=like:John


Available Operations

  • $gte
  • $lte
Type
array
filter.validTo

Filter by validTo query param.


Format: filter.validTo={$not}:OPERATION:VALUE



Example: filter.validTo=$not:$like:John Doe&filter.validTo=like:John


Available Operations

  • $gte
  • $lte
Type
array
filter.discountType

Filter by discountType query param.


Format: filter.discountType={$not}:OPERATION:VALUE



Example: filter.discountType=$not:$like:John Doe&filter.discountType=like:John


Available Operations

  • $eq

Type
array
filter.type

Filter by type query param.


Format: filter.type={$not}:OPERATION:VALUE



Example: filter.type=$not:$like:John Doe&filter.type=like:John


Available Operations

  • $eq

Type
array
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id
  • name
Type
array
search

Search term to filter result values


Example: John



Default Value: No default value

Type
string
searchBy

List of fields to search by term to filter result values


Example: name



Default Value: By default all fields mentioned below will be used to search by term


Available Fields

  • name

Type
array

Responses

application/json
JSON
{
  
"data": [
  
  
{
  
  
}
  
],
  
"meta": {
  
  
"itemsPerPage": 0,
  
  
"totalItems": 0,
  
  
"currentPage": 0,
  
  
"totalPages": 0,
  
  
"sortBy": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"searchBy": [
  
  
  
"string"
  
  
],
  
  
"search": "string",
  
  
"select": [
  
  
  
"string"
  
  
],
  
  
"filter": {
  
  
}
  
},
  
"links": {
  
  
"first": "string",
  
  
"previous": "string",
  
  
"current": "string",
  
  
"next": "string",
  
  
"last": "string"
  
}
}

Playground

Server
Authorization
Headers
Variables
Key
Value

Samples


Create trade condition

POST
/v1/api/trade-conditions

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Request Body

application/json
JSON
"string"

Responses

Playground

Server
Authorization
Body

Samples


Find single trade condition

GET
/v1/api/trade-conditions/{id}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Trade Condition ID

Type
number
Required

Responses

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value

Samples


Delete trade condition

DELETE
/v1/api/trade-conditions/{id}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Trade Condition ID

Type
number
Required

Responses

Playground

Server
Authorization
Variables
Key
Value

Samples


Partial update trade condition

PATCH
/v1/api/trade-conditions/{id}

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Trade Condition ID

Type
number
Required

Request Body

application/json
JSON
"string"

Responses

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Assign customers to trade condition

POST
/v1/api/trade-conditions/{id}/customers

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Trade Condition ID

Type
number
Required

Request Body

application/json
JSON
"string"

Responses

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Unassign customers from trade condition

POST
/v1/api/trade-conditions/{id}/customers/unassign

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Trade Condition ID

Type
number
Required

Request Body

application/json
JSON
"string"

Responses

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Assign customer groups to trade condition

POST
/v1/api/trade-conditions/{id}/customer-groups

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Trade Condition ID

Type
number
Required

Request Body

application/json
JSON
"string"

Responses

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Unassign customer groups from trade condition

POST
/v1/api/trade-conditions/{id}/customer-groups/unassign

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Trade Condition ID

Type
number
Required

Request Body

application/json
JSON
"string"

Responses

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Find products assigned to a trade condition

GET
/v1/api/trade-conditions/{id}/products

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Trade Condition ID

Type
number
Required

Responses

application/json
JSON
[
]

Playground

Server
Authorization
Variables
Key
Value

Samples


Powered by VitePress OpenAPI